<div th:replace="data(defaultInput=~{::input})" th:fragment="input" xmlns:th="http://www.thymeleaf.org">
    <div class="input-group col-md-2">
       <input type="text" class="form-control" nash-th:name="*{path.fullPath} + '.val'" nash-th:value="*{value}" th:attr="data-parsley-required=${data.mandatory}? true" minlength="11" maxlength="11" />
        <span class="input-group-btn">
            <button nash-th:id="'btn-' + *{path.fullPath}" type="button" class="btn btn-primary"><span><i class="fa fa-refresh"></i></span></button>
       </span>
    </div>
    <input type="hidden" nash-th:name="*{path.fullPath} + '.data'" nash-th:value="*{null == value ? '' : value.data }" />
    <div nash-th:name="*{path.fullPath} + '.tree'" class="col-md-7"></div>
</div>
